Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostService

public interface ForpostService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteForpostAccountCameras(int accountId)`
  `void`
  `doSync()`
  `void`
  `doSyncForpostCameras(int accountId)`
  `void`
  `forpostAccountObjectDelete(int accountId)`
  `List<ForpostObject>`
  `forpostAccountObjectList(int accountId)`
  `SearchResult<ForpostObject>`
  `forpostAccountObjectSearch(int accountId)`
  `void`
  `forpostAccountUsersDelete(int accountId)`
  `SearchResult<ForpostUser>`
  `forpostAccountUserSearch(int accountId)`
  `int`
  `forpostCameraAdd(int contractId, ForpostCamera forpostCamera)`
  `List<ForpostCameraBrand>`
  `forpostCameraBrandList()`
  `SearchResult<ForpostCameraBrand>`
  `forpostCameraBrandSearch(String[] sort, Page page)`
  `void`
  `forpostCameraBrandSync()`
  `void`
  `forpostCameraDelete(int forpostCameraId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostCameraList()`
  `ForpostCameraModel`
  `forpostCameraModelGet(int id)`
  `List<ForpostCameraModel>`
  `forpostCameraModelList()`
  `SearchResult<ForpostCameraModel>`
  `forpostCameraModelSearch(int brandId, String[] sort, Page page)`
  `void`
  `forpostCameraModelSync()`
  `void`
  `forpostCameraParamUpdate(int forpostCameraId, String name, String value)`
  `ForpostCameraType`
  `forpostCameraTypeGet(int id)`
  `List<ForpostCameraType>`
  `forpostCameraTypelList()`
  `SearchResult<ForpostCameraType>`
  `forpostCameraTypeSearch(String[] sort, Page page)`
  `void`
  `forpostCameraTypeSync()`
  `int`
  `forpostCameraUpdate(int contractId, ForpostCamera forpostCamera)`
  `List<ForpostMaster>`
  `forpostMasterList()`
  `SearchResult<ForpostMaster>`
  `forpostMasterSearch(String[] sort, Page page)`
  `void`
  `forpostMasterSync()`
  `int`
  `forpostObjectAdd(ForpostObject forpostObject)`
  `ForpostObject`
  `forpostObjectDefaultGet(int contractId, int accountId)`
  `void`
  `forpostObjectDelete(int id)`
  `void`
  `forpostObjectParamUpdate(int forpostObjectId, String name, String value)`
  `SearchResult<ForpostTMCAO<ForpostObject>>`
  `forpostObjectSearch(String[] sort, Page page)`
  `void`
  `forpostObjectsSync(int accountId)`
  `void`
  `forpostObjectSync()`
  `void`
  `forpostObjectUpdate(ForpostObject forpostObject)`
  `List<ForpostProtocol>`
  `forpostProtocolList()`
  `SearchResult<ForpostProtocol>`
  `forpostProtocolSearch(String[] sort, Page page)`
  `void`
  `forpostProtocolSync()`
  `List<ForpostPtzType>`
  `forpostPtzTypeList()`
  `SearchResult<ForpostPtzType>`
  `forpostPtzTypeSearch(String[] sort, Page page)`
  `void`
  `forpostPtzTypeSync()`
  `List<ForpostRecordType>`
  `forpostRecordTypeList()`
  `SearchResult<ForpostRecordType>`
  `forpostRecordTypeSearch(String[] sort, Page page)`
  `void`
  `forpostRecordTypeSync()`
  `List<ForpostRemoteMaster>`
  `forpostRemoteMasterList()`
  `SearchResult<ForpostRemoteMaster>`
  `forpostRemoteMasterSearch(String[] sort, Page page)`
  `void`
  `forpostRemoteMasterSync()`
  `List<ForpostRtspTransport>`
  `forpostRtspTransportList()`
  `SearchResult<ForpostRtspTransport>`
  `forpostRtspTransportSearch(String[] sort, Page page)`
  `void`
  `forpostRtspTransportSync()`
  `int`
  `forpostUserAdd(int contractId, ForpostUser forpostUser)`
  `ForpostUser`
  `forpostUserDefaultGet(int contractId, int accountId)`
  `void`
  `forpostUserDelete(int id)`
  `void`
  `forpostUserParamUpdate(int forpostUserId, String name, String value)`
  `SearchResult<ForpostTMCAO<ForpostUser>>`
  `forpostUsersSearch(String[] sort, Page page)`
  `void`
  `forpostUsersSync(int accountId)`
  `void`
  `forpostUserSync()`
  `void`
  `forpostUserUpdate(int contractId, ForpostUser forpostUser)`
  `ForpostCamera`
  `getDefaultForpostCamera(int contractId, int accountId)`
  `SearchResult<ForpostCamera>`
  `searchForpostAccountCameras(int accountId)`
  `SearchResult<ForpostTMCAO<ForpostCamera>>`
  `searchForpostCameras(ru.bitel.bgbilling.common.model.KeyValue filter, String[] sort, Page page)`

- ## Method Details

  - ### forpostCameraTypeSearch

    SearchResult<ForpostCameraType> forpostCameraTypeSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraTypeSync

    void forpostCameraTypeSync() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraTypelList

    List<ForpostCameraType> forpostCameraTypelList() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraTypeGet

    ForpostCameraType forpostCameraTypeGet(int id) throws Exception
    Throws:
      `Exception`

  - ### forpostUsersSearch

    SearchResult<ForpostTMCAO<ForpostUser>> forpostUsersSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostAccountUserSearch

    SearchResult<ForpostUser> forpostAccountUserSearch(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostUserSync

    void forpostUserSync() throws Exception
    Throws:
      `Exception`

  - ### forpostUsersSync

    void forpostUsersSync(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostUserDefaultGet

    ForpostUser forpostUserDefaultGet(int contractId, int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostUserAdd

    int forpostUserAdd(int contractId, ForpostUser forpostUser) throws Exception
    Throws:
      `Exception`

  - ### forpostUserUpdate

    void forpostUserUpdate(int contractId, ForpostUser forpostUser) throws Exception
    Throws:
      `Exception`

  - ### forpostUserParamUpdate

    void forpostUserParamUpdate(int forpostUserId, String name, String value) throws Exception
    Throws:
      `Exception`

  - ### forpostUserDelete

    void forpostUserDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### forpostAccountUsersDelete

    void forpostAccountUsersDelete(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostMasterSearch

    SearchResult<ForpostMaster> forpostMasterSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostMasterSync

    void forpostMasterSync() throws Exception
    Throws:
      `Exception`

  - ### forpostMasterList

    List<ForpostMaster> forpostMasterList() throws Exception
    Throws:
      `Exception`

  - ### forpostRemoteMasterSearch

    SearchResult<ForpostRemoteMaster> forpostRemoteMasterSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostRemoteMasterSync

    void forpostRemoteMasterSync() throws Exception
    Throws:
      `Exception`

  - ### forpostRemoteMasterList

    List<ForpostRemoteMaster> forpostRemoteMasterList() throws Exception
    Throws:
      `Exception`

  - ### forpostProtocolSearch

    SearchResult<ForpostProtocol> forpostProtocolSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostProtocolSync

    void forpostProtocolSync() throws Exception
    Throws:
      `Exception`

  - ### forpostProtocolList

    List<ForpostProtocol> forpostProtocolList() throws Exception
    Throws:
      `Exception`

  - ### forpostPtzTypeSearch

    SearchResult<ForpostPtzType> forpostPtzTypeSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostPtzTypeSync

    void forpostPtzTypeSync() throws Exception
    Throws:
      `Exception`

  - ### forpostPtzTypeList

    List<ForpostPtzType> forpostPtzTypeList() throws Exception
    Throws:
      `Exception`

  - ### forpostRecordTypeSearch

    SearchResult<ForpostRecordType> forpostRecordTypeSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostRecordTypeSync

    void forpostRecordTypeSync() throws Exception
    Throws:
      `Exception`

  - ### forpostRecordTypeList

    List<ForpostRecordType> forpostRecordTypeList() throws Exception
    Throws:
      `Exception`

  - ### forpostRtspTransportSearch

    SearchResult<ForpostRtspTransport> forpostRtspTransportSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostRtspTransportSync

    void forpostRtspTransportSync() throws Exception
    Throws:
      `Exception`

  - ### forpostRtspTransportList

    List<ForpostRtspTransport> forpostRtspTransportList() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraBrandSearch

    SearchResult<ForpostCameraBrand> forpostCameraBrandSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraBrandSync

    void forpostCameraBrandSync() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraBrandList

    List<ForpostCameraBrand> forpostCameraBrandList() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraModelSearch

    SearchResult<ForpostCameraModel> forpostCameraModelSearch(int brandId, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraModelSync

    void forpostCameraModelSync() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraModelList

    List<ForpostCameraModel> forpostCameraModelList() throws Exception
    Throws:
      `Exception`

  - ### forpostCameraModelGet

    ForpostCameraModel forpostCameraModelGet(int id) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostCameraList() throws Exception
    Throws:
      `Exception`

  - ### forpostAccountObjectList

    List<ForpostObject> forpostAccountObjectList(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectSearch

    SearchResult<ForpostTMCAO<ForpostObject>> forpostObjectSearch(String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### forpostAccountObjectSearch

    SearchResult<ForpostObject> forpostAccountObjectSearch(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectDefaultGet

    ForpostObject forpostObjectDefaultGet(int contractId, int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectAdd

    int forpostObjectAdd(ForpostObject forpostObject) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectUpdate

    void forpostObjectUpdate(ForpostObject forpostObject) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectParamUpdate

    void forpostObjectParamUpdate(int forpostObjectId, String name, String value) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectDelete

    void forpostObjectDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### forpostAccountObjectDelete

    void forpostAccountObjectDelete(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostObjectSync

    void forpostObjectSync() throws Exception
    Throws:
      `Exception`

  - ### forpostObjectsSync

    void forpostObjectsSync(int accountId) throws Exception
    Throws:
      `Exception`

  - ### searchForpostCameras

    SearchResult<ForpostTMCAO<ForpostCamera>> searchForpostCameras(ru.bitel.bgbilling.common.model.KeyValue filter, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### searchForpostAccountCameras

    SearchResult<ForpostCamera> searchForpostAccountCameras(int accountId) throws Exception
    Throws:
      `Exception`

  - ### doSync

    void doSync() throws Exception
    Throws:
      `Exception`

  - ### doSyncForpostCameras

    void doSyncForpostCameras(int accountId) throws Exception
    Throws:
      `Exception`

  - ### getDefaultForpostCamera

    ForpostCamera getDefaultForpostCamera(int contractId, int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraAdd

    int forpostCameraAdd(int contractId, ForpostCamera forpostCamera) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraUpdate

    int forpostCameraUpdate(int contractId, ForpostCamera forpostCamera) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraParamUpdate

    void forpostCameraParamUpdate(int forpostCameraId, String name, String value) throws Exception
    Throws:
      `Exception`

  - ### forpostCameraDelete

    void forpostCameraDelete(int forpostCameraId) throws Exception
    Throws:
      `Exception`

  - ### deleteForpostAccountCameras

    void deleteForpostAccountCameras(int accountId) throws Exception
    Throws:
      `Exception`